import {Uuid} from '@theoryofnekomata/uuid-buffer';

export type LogParameter = {
  id: number,
  logId: number,
  key: string,
  value: string,
}

export type Log = {
  id: number,
  subjectUserId: Uuid,
  subjectUsername: string,
  action: string,
  createdAt: Date,
}

export type LogParameterData = Pick<LogParameter, 'key' | 'value'>;
